Subject: [bug#31277] [PATCH] cgit changes

From: Christopher Baines <[email-masked]>
Date: Thu, 26 Apr 2018 22:13:55 +0100

I recently managed to succesfully use the cgit service with the Gitolite
service that is available here [1]. I had to make some changes to the
Gitolite service, so that needs updating, but I also made some changes
to the cgit package and service to make some of the scripts included in
the cgit package work on GuixSD and make porting over the cgit service
configuation I was using on Debian a little easier.

1: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30809

Christopher Baines (3):
  gnu: cgit: Fix included scripts.
  services: cgit: Improve handling of extra-options.
  services: cgit: Make project-list permit a string.

 gnu/packages/version-control.scm | 32 +++++++++++++++++++++++++++++++-
 gnu/services/cgit.scm            | 18 +++++++++++++++---
 2 files changed, 46 insertions(+), 4 deletions(-)